curl --request POST \
--url https://api.staging.kathan.tech/campaign/{campaign_id}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"recipients": [
{
"phone_number": "<string>",
"metadata": {},
"assistant_overrides": {}
}
]
}
'{}Append recipients (phone numbers) to a campaign. Each recipient can include optional metadata (e.g. first_name for template variables) and assistant_overrides.
curl --request POST \
--url https://api.staging.kathan.tech/campaign/{campaign_id}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-User-ID: <api-key>' \
--data '
{
"recipients": [
{
"phone_number": "<string>",
"metadata": {},
"assistant_overrides": {}
}
]
}
'{}API key authentication.
Required user id for API key requests.
Show child attributes
Successful Response
The response is of type Response Upload Campaign Recipients Public Campaign Campaign Id Recipients Post · object.
Was this page helpful?